/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        09.11.2007
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am Ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************


//----------------------------------------------------------------------------
//Dazustellende Webseite
	PROGMEM char Page1[] = {
	"<html><head><meta http-equiv=\"refresh\" content=\"30\" text/html; charset=iso-8859-1\">\r\n"

	"<title>AVR NET IO</title></head>\r\n"

"<style type=\"text/css\">\r\n"
  ".fett {font-weight: bold; margin-top:15px;}\r\n"
  "td { cellpadding: 2px; }\r\n"
  "body { font-family: helvetia;  font-size: 1.0 em; color: #000000; background-color: rgb(255, 255, 204)}\r\n"
  "h1 {text-align: center; font-weight: bold; color: white; font-size: 1.2 em}\r\n"
"</style>\r\n"

"</head><body>\r\n"

  "<table style=\"width: 600px; text-align: left; background-color: rgb(153, 153, 255);\" cellpadding=\"5\">\r\n"
    "<tr><td><h1>AVR-NET-IO</h1>\r\n"
      "<table style=\"width: 100%; font-weight: bold;\">\r\n"
         "<tr><td>Serverzeit: %TI@</td><td style=\"text-align: right;\">Pagecounter: %VA@19</td></tr></table>\r\n"
  "</td></tr></table>\r\n"


// Statusanzeige PORTA ------------------------------------------------------
	"<div class=\"fett\">Status PORTA:</div>\r\n"

	"<table style=\"width: 600px; text-align: left; background-color: rgb(255, 255, 153);\" border=\"0\">\r\n"

	"<tr><td>dig. Eingang</td><td style=\"width:35px;\">auf/zu</td><td align=\"center\">analog. Eingang</td><td>Wert (0-1023)</td></tr>\r\n"
	"<tr><td>"
	Eing_A0
	"</td><td style=\"background-color: rgb(%PINA0);\"></td><td align=\"center\">AD-A4</td><td>%VA@04</td></tr>\r\n"

	"<tr><td>"
	Eing_A1
	"</td><td style=\"background-color: rgb(%PINA1);\"></td><td align=\"center\">AD-A5</td><td>%VA@05</td></tr>\r\n"

	"<tr><td>"
	Eing_A2
	"</td><td style=\"background-color: rgb(%PINA2);\"></td><td align=\"center\">AD-A6</td><td>%VA@06</td></tr>\r\n"

	"<tr><td>"
	Eing_A3
	"</td><td style=\"background-color: rgb(%PINA3);\"></td><td align=\"center\">AD-A7</td><td>(-> 1-Wire)</td></tr>\r\n"

	"</table>\r\n"

// Statusanzeige PORTA -----------------------------------------------------


// 1-Wire ------------------------------------------------------------------
#if USE_OW

  "<div class=\"fett\">1-Wire-Temperatursensoren:</div>\r\n"

  "<table style=\"width: 600px; text-align: left; background-color: rgb(255, 255, 102);\" border=\"0\">\r\n"
  "<tr><td>1-Wire</td><td>Ort</td><td align=\"right\">Wert</td><td align=\"left\">Einheit</td><td>Tages-Min/Max</td></tr>\r\n"
  "<tr><td>Sensor 0</td><td>"T01"</td><td align=\"right\">%OW@00</td><td align=\"left\">&deg;C</td><td>%OW@05 / %OW@10</td></tr>\r\n"
  "<tr><td>Sensor 1</td><td>"T02"</td><td align=\"right\">%OW@01</td><td align=\"left\">&deg;C</td><td>%OW@06 / %OW@11</td></tr>\r\n"
  "<tr><td>Sensor 2</td><td>"T03"</td><td align=\"right\">%OW@02</td><td align=\"left\">&deg;C</td><td>%OW@07 / %OW@12</td></tr>\r\n"
  "<tr><td>Sensor 3</td><td>"T04"</td><td align=\"right\">%OW@03</td><td align=\"left\">&deg;C</td><td>%OW@08 / %OW@13</td></tr>\r\n"
  "<tr><td>Sensor 4</td><td>"T05"</td><td align=\"right\">%OW@04</td><td align=\"left\">&deg;C</td><td>%OW@09 / %OW@14</td></tr>\r\n"
  "</table>\r\n"

#endif
// 1-Wire -------------------------------------------------------------------


#if USE_SER_LCD
// LCD belegt PORTC: 
// => Schalten nur mit PORTD mglich
// checkbox-value-Werte von C-H -> httpd

// Schaltanweisungen --------------------------------------------------------

	"<div class=\"fett\">Schaltanweisungen:</div>\r\n"

	"<table style=\"width: 600px; text-align: left; background-color: rgb(255, 204, 51);\" border=\"0\">\r\n"
    	"<tr><td><form name=\"form1\" method=\"post\" action=\" \">\r\n"
	
	
	"<table style=\"width: 100%; text-align: left;\" border=\"0\">\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"X\"%PORTX9> Automatik<hr></td><td>%VA@09<hr></td><td>(ein/aus)<hr></td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"C\"%PORTD2> "
	Ausg_D2
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"a\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"b\"> ab %VA@10 &deg;C aus</td><td> -> Sensor 0, A0</td></tr>\r\n"
	
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"D\"%PORTD3> "
	Ausg_D3
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"e\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"f\"> ab %VA@11 &deg;C aus</td><td> -> Sensor 1, A1</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"E\"%PORTD4> "
	Ausg_D4
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"i\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"j\"> ab %VA@12 &deg;C aus</td><td> -> Sensor 2, A2</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"F\"%PORTD5> "
	Ausg_D5
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"m\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"n\"> ab Wert %VA@18 ein </td><td>-> AD-A6</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"G\"%PORTD6> "
	Ausg_D6
	"</td><td></td><td></td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"H\"%PORTD7> "
	Ausg_D7
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"u\">+h m+<input type=\"checkbox\" name=\"OUT\" value=\"v\"> ein: %T0@ Uhr</td><td><input type=\"checkbox\" name=\"OUT\" value=\"w\">+h m+<input type=\"checkbox\" name=\"OUT\" value=\"x\"> aus: %T1@ Uhr</td></tr>\r\n"
	
	"</table>\r\n"

	"<hr><p align=\"center\"><input type=\"submit\" name=\"SUB\" value=\"Senden\"></p></form>\r\n"

	"</td></tr></table>\r\n"

// Schaltanweisungen --------------------------------------------------------

#else
// Kein LCD:
// => Schalten mit PORTC (z.B. Pollin Relaiskarte) und PORTD mglich
// checkbox-value-Werte I-N (PORTC0-7) und C-H (PORTD2-7) -> httpd

// Schaltanweisungen --------------------------------------------------------

	"<div class=\"fett\">Schaltanweisungen:</div>\r\n"

	"<table style=\"width: 600px; text-align: left; background-color: rgb(255, 204, 51);\" border=\"0\">\r\n"
    	"<tr><td><form name=\"form1\" method=\"post\" action=\" \">\r\n"
	
	
	"<table style=\"width: 100%; text-align: left;\" border=\"0\">\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"X\"%PORTX9 > Automatik(ein/aus)<hr></td><td>%VA@09<hr></td><td>(ein/aus) <hr></td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"I\"%PORTC0> "
	Ausg_C0
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"a\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"b\"> ab %VA@10 &deg;C aus</td><td> -> Sensor 0, A0</td></tr>\r\n"
	
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"J\"%PORTC1> "
	Ausg_C1
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"e\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"f\"> ab %VA@11 &deg;C aus</td><td> -> Sensor 1, A1</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"K\"%PORTC2> "
	Ausg_C2
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"i\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"j\"> ab %VA@12 &deg;C aus</td><td> -> Sensor 2, A2</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"L\"%PORTC3> "
	Ausg_C3
	"</td><td></td><td></td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"M\"%PORTC4> "
	Ausg_C4
	"</td><td></td><td></td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"N\"%PORTC5> "
	Ausg_C5
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"m\">- / +<input type=\"checkbox\" name=\"OUT\" value=\"n\"> ab Wert %VA@18 ein </td><td>-> AD-A6</td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"O\"%PORTC6> "
	Ausg_C6
	"</td><td></td><td></td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"P\"%PORTC7> "
	Ausg_C7
	"</td><td><input type=\"checkbox\" name=\"OUT\" value=\"u\">+h m+<input type=\"checkbox\" name=\"OUT\" value=\"v\"> ein: %T0@ Uhr</td><td><input type=\"checkbox\" name=\"OUT\" value=\"w\">+h m+<input type=\"checkbox\" name=\"OUT\" value=\"x\"> aus: %T1@ Uhr</td></tr>\r\n"

	"<tr><td><hr></td><td><hr></td><td><hr></td></tr>\r\n"

	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"C\"%PORTD2> D2</td><td><input type=\"checkbox\" name=\"OUT\" value=\"D\"%PORTD3> D3</td><td><input type=\"checkbox\" name=\"OUT\" value=\"E\"%PORTD4> D4</td></tr>\r\n"
	"<tr><td><input type=\"checkbox\" name=\"OUT\" value=\"F\"%PORTD5> D5</td><td><input type=\"checkbox\" name=\"OUT\" value=\"G\"%PORTD6> D6</td><td><input type=\"checkbox\" name=\"OUT\" value=\"H\"%PORTD7> D7</td></tr>\r\n"
	
	"</table>\r\n"

	"<hr><p align=\"center\"><input type=\"submit\" name=\"SUB\" value=\"Senden\"></p></form>\r\n"

	"</td></tr></table>\r\n"

// Schaltanweisungen --------------------------------------------------------

#endif

// Lokales Wetter
# if WETTER24
	"<br><div class=\"fett\">Lokale Wetterinformationen: </div><a href="
	LOCALWEATHER24
	">-> www.wetter24.de</a>\r\n"
#endif

	"<br><hr>\r\n"

#if USE_SER_LCD
	"<div>PORTB -> ENC28J60<br>PORTC -> LCDisplay</div>\r\n"
#else
	"<div>PORTB -> ENC28J60</div>\r\n"
	"<div>Achtung: Kein LCD an PORTC anschlieen! Beschdigung mglich.</div>\r\n"
#endif
	
	"<br>\r\n"

	"<div>Webserver von Ulrich Radig " SoftVers "</div>\r\n"
	"<div>Compiliert am "__DATE__" um "__TIME__" mit GCC Version "__VERSION__"</div>\r\n"
	"<div>"RoBueVers" fr AVR-NET-IO</div>\r\n"
		
	"</body></html>\r\n"
	"%END"};

// RoBue:
// Daten-Seite: 1-Wire-Werte, AD-Werte  
PROGMEM char Page2[] = {
	"%OW@00\r\n"
	"%OW@01\r\n"
	"%OW@02\r\n"
	"%OW@03\r\n"
	"%OW@04\r\n"
	"%VA@04\r\n"
	"%VA@05\r\n"
	"%VA@06\r\n"
	"%END"};

//----------------------------------------------------------------------------
//Das GIF Bild fr den Balken
//PROGMEM char bild_balken[] = {
//	0x47,0x49,0x46,0x38,0x39,0x61,0x02,0x00,0x0A,0x00,0xA2,0x00,0x00,0xA2,0xA5,0xED,
//	0x84,0x8F,0xE5,0x66,0x7C,0xDD,0x49,0x60,0xD6,0x21,0x44,0xDA,0xFE,0x01,0x02,0x00,
//	0x00,0x00,0x00,0x00,0x00,0x21,0xF9,0x04,0x05,0x14,0x00,0x05,0x00,0x2C,0x00,0x00,
//	0x00,0x00,0x02,0x00,0x0A,0x00,0x00,0x03,0x0A,0x48,0x34,0x23,0x12,0x01,0x48,0x00,
//	0x1D,0x53,0x09,0x00,0x3B,'%','E','N','D'};
//-----------------------------------------------------------------------------
//Nur Dateiname und Pointer eintragen	
	WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
	{
	{"index.htm",Page1},
	{"daten.html",Page2},
	#if USE_CAM
	{"camera.jpg",bild_balken},
	#endif //USE_CAM
//	{"balke.gif",bild_balken},
//	{"ledon.gif",led_on},
//	{"ledoff.gif",led_off},
	{NULL,NULL} 
	};

#endif //_WEBPAGE_H